#!/usr/bin/ruby -Ke


# ------------------------------------------------------------------
def error(msg)
  $stderr.puts msg
  exit(1)
end

def find_line( lines, reg )
  i = 0
  while( i < lines.size )
    if reg =~ lines[i]
      return lines[i..-1]
    end
    i += 1
  end
  error("Ĥޤ:#{reg.to_s}")
end

# ------------------------------------------------------------------

def pickup_number( file )
  if( /^\d\d/ =~ file )
    return $&
  end
  error("error in file name: #{file}")
end

def pickup_name( lines )
  tmp = find_line( lines, /̾/ )
  if !(/̾/ =~ tmp[0])
    error("̾ޤ")
  end
  jname = $'.strip
  if !(/[\(]([^\)]+)[\)]/ =~ tmp[1])
    error("̾ޤ")
  end
  ename = $1
  return jname, ename
end

def pickup_team( lines )
  tmp = find_line( lines, // )
  if !(/\d+ǯ(\D+)$/ =~ tmp[0])
    $stderr.puts "̾:#{tmp[0]}"
    team = tmp[0]
  else
    team = $1
  end
  return team
end

def pickup_pole_position( lines )
  tmp = find_line( lines, /ݡݥ/ )
  if !(/(\d+)/ =~ tmp[0])
    $stderr.puts "pp ?"
    return 0
  end
  return $1
end

def pickup_fastest_lap( lines )
  tmp = find_line( lines, /եƥȥå/ )
  if !(/(\d+)/ =~ tmp[0])
    $stderr.puts "fl ?"
    return 0
  end
  return $1
end

def pickup_win( lines )
  tmp = find_line( lines, /ͥ/ )
  if !(/(\d+)/ =~ tmp[0])
    $stderr.puts "win? "
    return 0
  end
  return $1
end

def pickup_total_points( lines )
  tmp = find_line( lines, // )
  if !(/(\d+)/ =~ tmp[0])
    $stderr.puts "points ?"
    return 0
  end
  return $1
end

def pickup_birthday( lines )
  tmp = find_line( lines, /ǯ/ )
  if !(/\d+ǯ\d+\d+/ =~ tmp[0])
    error("no data")
  end
  return $&
end

def pickup_country( lines )
  tmp = find_line( lines, // )
  if !(/ (\S+)/ =~ tmp[0])
    error("no data")
  end
  return $1
end

def pickup_height( lines )
  tmp = find_line( lines, /Ĺ/ )
  if !(/\d+cm/ =~ tmp[0])
    error("no data")
  end
  return $&
end

def pickup_weight( lines )
  tmp = find_line( lines, /ν/ )
  if !(/\d+kg/ =~ tmp[0])
    error("no data")
  end
  return $&
end

# ------------------------------------------------------------------
def make_short_name( jname, ename )
  if // =~ jname
    fam = $'
    return "#{ename.split(/\s/)[0][0].chr}.#{fam}"
  else
    return jname
  end
end

# ------------------------------------------------------------------

fout = $stdout

ARGV.each{|file|
  fp = File.open(file)
  lines = fp.to_a.collect{|line| line.chomp!}
  fp.close


  number = pickup_number( file )

  jname, ename = pickup_name( lines )
  sname = make_short_name(jname,ename)
  fname = file.chomp.gsub(/\....$/,"")
  team = pickup_team( lines )

  pp = pickup_pole_position( lines )
  fl = pickup_fastest_lap( lines )
  wn = pickup_win( lines )
  total = pickup_total_points( lines )

  bday = pickup_birthday( lines )
  cntry = pickup_country( lines )

  height = pickup_height( lines )
  weight = pickup_weight( lines )

  fout.puts([ number, jname, ename, sname, fname, team,
              pp, fl, wn, total,
              bday, cntry, height, weight ].join("\t"))
}
